Page MenuHomePhabricator

MFA: notifications feature is ported to webpack
Closed, ResolvedPublic3 Story Points

Description

Code relating to the toggle code currently lives in mobile.mediaViewer and we will move it to webpack. Similar to the language feature it is lazy loaded. Note: mobile.notifications has no tests.

Acceptance criteria

  • code for mobile.notifications module compiled in webpack
  • code for mobile.notifications is not loaded on the critical path - it is delayed until an image is clicked (see also T210210)
  • critical js size (mobile.startup.js + mobile.common.js) has not increased. Beware of any modules that are shared among the lazy loaded chunks and are not in mobile.startup.js. Webpack will excise these into mobile.common.js and increase our critical js size.
  • tests are ported to node-qunit
  • Minerva is retained in a mergeable state throughout the migration. No need to worry about cached html but be wary that skins.minerva.notifications.badge and skins.minerva.notifications make use of the notifications overlay.
  • Make sure clicking "Filter" on Special:Notifications continues to open the filter overlay

Code:

Sign off steps

Event Timeline

Jdlrobson created this task.Jan 7 2019, 8:07 PM
Restricted Application added subscribers: Gilles, Aklapper. · View Herald TranscriptJan 7 2019, 8:07 PM
Gilles removed a subscriber: Gilles.Jan 7 2019, 8:12 PM
Jdlrobson updated the task description. (Show Details)Jan 8 2019, 5:12 PM

Change 483183 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Notification overlay is built via webpack

https://gerrit.wikimedia.org/r/483183

Change 483183 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Notification overlay is built via webpack

https://gerrit.wikimedia.org/r/483183

Jdlrobson removed Jdlrobson as the assignee of this task.Jan 11 2019, 1:20 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jan 16 2019, 1:25 AM
Jdrewniak closed this task as Resolved.Jan 17 2019, 11:34 PM
Jdrewniak updated the task description. (Show Details)